/* 最小宽度为1200px的时候 */
@media screen and (min-width:1200px) {
    .footer {
        width: 100%;
        padding: 40px 10%;
        background-color: #313131;
    }

    .footer-content {
        display: flex;
        justify-content: space-between;
        width: 100%;
    }

    .footer-content ul,
    .footer-content div {
        width: 32%;
    }

    .footer-content ul {
        display: flex;
        justify-content: space-between;
    }

    .footer-content ul li h4 {
        font-size: 16px;
        margin-bottom: 10px;
        color: #fff;
    }

    .footer-content ul li a {
        display: block;
        font-size: 12px;
        color: #999;
        margin-bottom: 8px;
    }
    .footer-content ul li a:hover {
        display: block;
        font-size: 12px;
        text-decoration: none;
        color: #ffffff;
        margin-bottom: 8px;
    }

    .footer-us {
        text-align: center;
    }

    .footer-us h4 {
        font-size: 16px;
        margin-bottom: 10px;
        color: #fff;
    }

    .footer-us .footer-us-icon {
        width: 100%;
    }

    .footer-us .footer-us-icon a {
        display: inline-block;
        margin: 10px 10px;
    }

    .footer-code {
        display: flex;
        justify-content: end;
    }

    .footer-code {
        display: flex;
        justify-content: end;
    }

    .footer-code div img {
        width: 100%;
    }

    .footer-bottom {
        text-align: center;
        border-top: solid 1px #949494;
        padding: 10px 0 10px;
        margin-top: 30px;
    }

    .footer-bottom span {
        color:  #949494;
    }

    .footer-us {
        position: relative;
        text-align: center;
    }

    .footer-us h4 {
        font-size: 16px;
        margin-bottom: 10px;
        color: #fff;
        cursor: pointer;
    }

    /* 新添加的图片 */
    .footer-us img#gzImage1 {
        width: 80px; /* 调整图片宽度 */
        display: inline-block; /* 默认显示 */
        margin-bottom: 10px; /* 添加间距 */
    }

    /* 鼠标悬停在 .footer-us 上时，显示兄弟元素 */
    .footer-us:hover .footer-us-icon {
        display: block;
    }

    .footer-us-icon {
        position: absolute;
        top: 30px; /* 调整图标位置 */
        left: 50%;
        transform: translateX(-50%);
        width: 100px; /* 调整图标宽度 */
        display: none; /* 默认隐藏 */
    }

    .footer-us-icon img {
        width: 30%;
        height: auto; /* 保持宽高比 */
    }

}


@media screen and (min-width:950px) and (max-width:1200px) {
    .footer {
        width: 100%;
        padding: 40px 6%;
        background-color: #313131;
    }

    .footer-content {
        display: flex;
        justify-content: space-between;
        width: 100%;
    }

    .footer-content ul,
    .footer-content div {
        width: 32%;
    }

    .footer-content ul {
        display: flex;
        justify-content: space-between;
    }

    .footer-content ul li h4 {
        font-size: 16px;
        margin-bottom: 10px;
        color: #fff;
    }

    .footer-content ul li a {
        display: block;
        font-size: 12px;
        color: #999;
        margin-bottom: 8px;
    }
    .footer-content ul li a:hover {
        display: block;
        font-size: 12px;
        text-decoration: none;
        color: #ffffff;
        margin-bottom: 8px;
    }

    .footer-us {
        text-align: center;
    }

    .footer-us h4 {
        font-size: 16px;
        margin-bottom: 10px;
        color: #fff;
    }

    .footer-us .footer-us-icon {
        width: 100%;
    }

    .footer-us .footer-us-icon a {
        display: inline-block;
        margin: 10px 10px;
    }

    .footer-code {
        display: flex;
        justify-content: end;
    }

    .footer-code {
        display: flex;
        justify-content: end;
    }

    .footer-code div img {
        width: 100%;
    }
    .footer-bottom {
        text-align: center;
        border-top: solid 1px #949494;
        padding: 10px 0 10px;
        margin-top: 30px;
    }

    .footer-bottom span {
        color:  #949494;
    }

}



@media screen and (max-width:950px) {
    .footer {
        width: 100%;
        padding: 40px 6%;
        background-color: #313131;
    }

    .footer-content {
        width: 100%;
    }

    .footer-content ul,
    .footer-content div {
        width: 100%;
    }

    .footer-content ul {
        display: flex;
        justify-content: space-between;
    }

    .footer-content ul li h4 {
        font-size: 16px;
        margin-bottom: 10px;
        color: #fff;
    }

    .footer-content ul li a {
        display: block;
        font-size: 12px;
        color: #999;
        margin-bottom: 8px;
    }
    .footer-content ul li a:hover {
        display: block;
        font-size: 12px;
        text-decoration: none;
        color: #ffffff;
        margin-bottom: 8px;
    }

    .footer-us {
        text-align: center;
        margin-bottom: 40px;
    }

    .footer-us h4 {
        font-size: 16px;
        margin-bottom: 10px;
        color: #fff;
    }

    .footer-us .footer-us-icon {
        width: 100%;
    }

    .footer-us .footer-us-icon a {
        display: inline-block;
        margin: 10px 10px;
    }

    .footer-code {
        display: flex;
        justify-content: end;
    }

    .footer-code {
        width: 100%;
        text-align: center;
    }

    .footer-code div img {
        width: 60%;
    }

    .footer-bottom {
        text-align: center;
        border-top: solid 1px #949494;
        padding: 10px 0 10px;
        margin-top: 30px;
    }

    .footer-bottom span {
        color:  #949494;
    }

}